Entur Developer
Timetable Management

Datasets

Server

Standard timetable dataset operations


Upload NeTEx dataset

POST
https://api.entur.io/timetable/v1/timetable-management
/datasets/{codespace}

This endpoint allows for uploading a NeTEx dataset into Entur import and validation pipeline. It provides the same feature as a manual upload from the Operator Portal application.

Upload NeTEx dataset › path Parameters

codespace
​string · required · style: simple

Lowercase codespace attributed to the data provider. Examples: rut, sky, vyg, …

Upload NeTEx dataset › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Upload NeTEx dataset › Request Body

file
​

NeTEx dataset file (ZIP archive)

Upload NeTEx dataset › Responses

OK - the dataset has been received successfully (this is only a technical acknowledgement, before applying any validation rule. The dataset may be rejected further down in the validation pipeline)

correlationId
​string

Download filtered NeTEx dataset

GET
https://api.entur.io/timetable/v1/timetable-management
/datasets/{codespace}/filtered

This endpoint gives access to private NeTEx datasets not available on Entur open data portal. These datasets include, in addition to the data available on the open data portal, the following private data:

  • NeTEx Block data
  • DeadRuns
  • Lines and Service Journeys with restricted publication

This dataset is time-filtered (past trips are removed) and content-filtered (unknown NeTEx entities are filtered out). Datasets that failed validation are not published on this endpoint. To access the original NeTEx dataset sent by the data provider, without any alteration, use instead Latest original dataset download endpoint.

Download filtered NeTEx dataset › path Parameters

codespace
​string · required · style: simple

Codespace of the NeTEx dataset

Download filtered NeTEx dataset › query Parameters

dsjcompatibility
​string · enum · style: form · explode: true

Structure of DatedServiceJourney in the returned dataset, during the transition to NeTEx 1.16: legacy (the default) returns the NeTEx 1.15 structure, in which replaced journeys are repeated DatedServiceJourneyRef elements; new returns the NeTEx 1.16 structure, in which they are held in a replacedJourneys container. Only datasets that contain replacement information differ between the two; the others are returned unchanged and declare the NeTEx version the pipeline exported.

Enum values:
legacy
new

Download filtered NeTEx dataset › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Download filtered NeTEx dataset › Responses

NeTEx dataset ZIP archive with private data. Expired data and unsupported NeTEx entities are filtered out.

No data returned

Did you find what you were looking for?